from pathlib import Path

from model_server.util import autonumber_new_directory
from extensions.chaeo.workflows import transfer_ecotaxa_labels_to_patch_stacks

if __name__ == '__main__':
    root = Path('c:/Users/rhodes/projects/proj0011-plankton-seg/exp0009/output')
    transfer_ecotaxa_labels_to_patch_stacks(
        where_masks=(root / 'batch-output-20231012-0016/patch_masks').__str__(),
        where_patches=(root / 'batch-output-20231012-0016/2d_patches_training').__str__(),
        object_csv=(root / 'batch-output-20231011-0003/df_objects.csv').__str__(),
        ecotaxa_tsv='c:/Users/rhodes/projects/proj0011-plankton-seg/exp0013/ecotaxa_export_10468_20231012_0930.tsv',
        where_output=autonumber_new_directory(root, 'labeled_patches'),
    )
    print('Finished')


